Bug 185589 - comms/hylafax overwrites existing hosts.hfaxd
comms/hylafax overwrites existing hosts.hfaxd
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-08 19:20 UTC by george
Modified: 2014-02-14 18:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description george 2014-01-08 19:20:00 UTC
When installing hylafax an existing 
/var/spool/hylafax/etc/hosts.hfaxd
file gets overwritten by a default version, deleting an existing configuration.
Expected behaviour: The install script / Makefile / whatever checks if there is an existing version of the file and leaves it intact.

I do not know if this problem is specific to the port or if this is a problem in the upstream hylafax install script / Makefile / whatever.

% head -5 Makefile
# Created by: Julian Stacey <jhs@FreeBSD.org>
# $FreeBSD: comms/hylafax/Makefile 336710 2013-12-17 10:39:33Z dinoex $

PORTNAME=	hylafax
PORTVERSION=	6.0.6

How-To-Repeat: cd /usr/ports/comms/hylafax && make install
Comment 1 Edwin Groothuis freebsd_committer 2014-01-08 19:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-02-14 14:33:32 UTC
Author: dinoex
Date: Fri Feb 14 14:33:24 2014
New Revision: 344211
URL: http://svnweb.freebsd.org/changeset/ports/344211
QAT: https://qat.redports.org/buildarchive/r344211/

Log:
  - preserve etc/hosts.hfaxd
  PR:		185589
  Reported by:	Georg Altmann

Modified:
  head/comms/hylafax/Makefile
  head/comms/hylafax/pkg-plist

Modified: head/comms/hylafax/Makefile
==============================================================================
--- head/comms/hylafax/Makefile	Fri Feb 14 14:28:54 2014	(r344210)
+++ head/comms/hylafax/Makefile	Fri Feb 14 14:33:24 2014	(r344211)
@@ -3,6 +3,7 @@
 
 PORTNAME=	hylafax
 PORTVERSION=	6.0.6
+PORTREVISION=	1
 CATEGORIES=	comms
 MASTER_SITES=	ftp://ftp.hylafax.org/source/
 
@@ -15,7 +16,6 @@ LIB_DEPENDS=	libtiff.so:${PORTSDIR}/grap
 		libjbig.so:${PORTSDIR}/graphics/jbigkit
 
 MAKE_JOBS_UNSAFE=	yes
-#NO_STAGE=	yes
 NEED_ROOT=	yes
 
 USE_GHOSTSCRIPT=yes
@@ -85,6 +85,8 @@ post-patch:
 		${WRKSRC}/configure
 	${REINPLACE_CMD} -e 's,-O hfaxd.conf,-O hfaxd.conf-dist,' \
 		${WRKSRC}/hfaxd/Makefile.in
+	${REINPLACE_CMD} -e 's,hosts.hfaxd,hosts.hfaxd-dist,' \
+		${WRKSRC}/etc/Makefile.in
 	${REINPLACE_CMD} -e 's,-O typerules,-O typerules-dist,' \
 		-e 's,-O pagesizes,-O pagesizes-dist -src pagesizes,' \
 		${WRKSRC}/libhylafax/Makefile.in

Modified: head/comms/hylafax/pkg-plist
==============================================================================
--- head/comms/hylafax/pkg-plist	Fri Feb 14 14:28:54 2014	(r344210)
+++ head/comms/hylafax/pkg-plist	Fri Feb 14 14:33:24 2014	(r344211)
@@ -253,7 +253,9 @@ config/sierra
 etc/dpsprinter.ps
 etc/cover.templ
 etc/xferfaxlog
-etc/hosts.hfaxd
+@unexec if cmp -s %D/etc/hosts.hfaxd %D/etc/hosts.hfaxd-dist; then rm -f %D/etc/hosts.hfaxd; fi
+etc/hosts.hfaxd-dist
+@exec [ -f %B/hosts.hfaxd ] || cp %B/%f %B/hosts.hfaxd
 etc/dialrules
 etc/dialrules.sf-ba
 etc/dialrules.europe
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2014-02-14 18:11:16 UTC
State Changed
From-To: open->closed

committed, thanks.